#  Projet Blazor What the Fantasy

## Description

Ce projet est une application web construite avec **Blazor**, permettant aux administrateurs de gérer plusieurs aspects du site, notamment :

- Administration des comptes utilisateurs : possibilité de **modifier** ou **supprimer** des comptes utilisateurs.
- Gestion des citations : les administrateurs peuvent **modifier**, **valider** ou **supprimer** des citations présentes sur le site.
- Création et génération de **quiz** : l'application permet de **créer** et **générer** des quiz interactifs.

L'application fournit une interface utilisateur claire et intuitive pour les administrateurs, offrant une expérience de gestion efficace et dynamique en utilisant **C#** au lieu de JavaScript, tout en tirant parti des technologies Blazor et .NET.

### Fonctionnalités principales

- **Gestion des utilisateurs** : Visualiser la liste des utilisateurs, modifier leurs informations, ou supprimer leur compte.
- **Gestion des citations** : Ajouter, valider, éditer ou supprimer des citations.
- **Gestion des quiz** : Créer de nouveaux quiz, ajouter des questions et gérer les résultats.
- **Tableau de bord administrateur** : Interface pour naviguer entre les différentes sections de gestion avec des statistiques en temps réel.
  
## Prérequis

Avant de pouvoir exécuter ce projet, assurez-vous d'avoir installé les éléments suivants sur votre machine :
- [.NET 6 SDK](https://dotnet.microsoft.com/download)
- Un navigateur compatible avec WebAssembly (par exemple, Chrome, Firefox, Edge, Safari)
- Visual Studio ou Visual Studio Code (optionnel, mais recommandé pour le développement)


## Installation

### 1. Cloner le repository

Clonez le dépôt Git sur votre machine locale avec la commande suivante :

```bash
git clone https://codefirst.iut.uca.fr/git/WhatTheFantasy/WF-WebAdmin.git
```
### 2. Ouvrir le projet dans votre IDE

Une fois le dépôt cloné, ouvrez le dossier du projet dans votre IDE préféré (par exemple, Visual Studio ou Visual Studio Code).

### 3. Restaurer les dépendances (si besoin)

Avant de pouvoir exécuter l'application, vous devez restaurer les dépendances NuGet. Dans le terminal, naviguez dans le répertoire du projet cloné (si ce n'est pas déjà fait) et exécutez la commande suivante :
```bash
cd blazor-admin-app
dotnet restore
```
### 4. Lancer l'application

Une fois les dépendances installées, vous pouvez démarrer l'application en mode développement avec la commande suivante :
```bash
dotnet run
```
L'application sera maintenant accessible dans votre navigateur à l'adresse suivante : http://localhost:5000.

### 5. Ouvrir l'application dans le navigateur

L'application devrait se lancer automatiquement dans votre navigateur par défaut. Si ce n'est pas le cas, ouvrez manuellement un navigateur et accédez à l'adresse **http://localhost:5000** pour voir l'application en action.


# Blazor Apps (30 points)
🟨 En cours / ✅ Fait / ❌ Pas fait<br/><br/>
✅ Mise en place d'une page de visualisation des données avec pagination (2 points) <br/>
✅ Page d'ajout d'un élement avec validation (2 point)<br/>
✅ Page d'édition d'un élement avec validation (2 point)<br/>
✅ Supression d'un élement avec une confirmation (2 point)<br/>
🟨 Composant complexe (5 point)<br/>
🟨 Use API (Get / Insert / Update / Delete) (3 point)<br/>
✅ Utilisation IOC & DI (4 point)<br/>
✅ Localisation & Globalisation (au moins deux langues) (1 point) <br/>
❌ Utilisation de la configuration (1 point)<br/>
✅ Logs (2 point)<br/>
🟨 Propreté du code (Vous pouvez vous servir de sonarqube) (2 point)<br/>
✅ IHM (Design global, placement des boutons, ...) (2 point)<br/>
✅ Emplacement du code (Pas de code dans les vues) (2 point)<br/>

# Documentation (10 points)
✅ Le Readme (2 points)<br/>
✅ Description du fonctionnement de la solution client (illustrutration au niveau du code) (6 points)<br/>
✅ Merge request (2 points)<br/>
