﻿using System;
using System.Globalization;
using WF_WebAdmin.Converter;

namespace WF_WebAdmin.Model
{
    public static class CommentaryExtensions
    {
        public static Commentary ToModel(this CommentaryDTO dto)
        {
            DateTime parsedDate = DateTime.MinValue;

            if (!string.IsNullOrEmpty(dto.DateCreationRaw) &&
                DateTime.TryParseExact(dto.DateCreationRaw, "yyyy-MM-dd",
                                       CultureInfo.InvariantCulture,
                                       DateTimeStyles.None,
                                       out DateTime result))
            {
                parsedDate = result;
            }
            else
            {
                Console.Out.WriteLine($"Erreur de conversion de la date : {dto.DateCreationRaw}");
            }

            return new Commentary
            {
                Id = dto.Id,
                IdUser = dto.IdUser,
                DateCreation = parsedDate,
                Text = dto.Text
            };
        }

        public static CommentaryDTO ToDTO(this Commentary model)
        {
            return new CommentaryDTO
            {
                Id = model.Id,
                IdUser = model.IdUser,
                DateCreationRaw = model.DateCreation.ToString("yyyy-MM-dd"),
                Text = model.Text
            };
        }
    }
}
