﻿using Microsoft.AspNetCore.Components;
using Npgsql;
using System.Data;
using WF_WebAdmin.Model;
using System.Collections.Generic;
using System;
using System.Threading.Tasks;
using System.Linq;
using Microsoft.Extensions.Localization;

namespace WF_WebAdmin.Pages
{
    public partial class ValidQuote
    {
        private Quote[] quotes;

        [Inject]
        public IStringLocalizer<ValidQuote> Localizer { get; set; }

        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        /// <summary>
        /// Initializes the component asynchronously by fetching a list of quotes from a JSON file.
        /// This method makes an asynchronous HTTP request to retrieve an array of `Quote` objects from a specified JSON file
        /// located at the base URI, and then assigns the result to the `quotes` variable.
        /// </summary>
        protected override async Task OnInitializedAsync()
        {
            // Fetch the list of quotes from the JSON file located at the base URI
            quotes = await Http.GetFromJsonAsync<Quote[]>($"{NavigationManager.BaseUri}fake-dataQuote.json");
        }
    }
}
