﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;
using System.Threading.Tasks;
using WF_WebAdmin.Converter;
using WF_WebAdmin.Model;

namespace WF_WebAdmin.Service
{
    public class CommentaryServiceStub : ICommentaryService
    {
        private readonly string? _jsonFilePath = Path.Combine(Environment.CurrentDirectory, "wwwroot", "fake-dataCommentary.json");

        public async Task<List<Commentary>> GetCommentsAsync()
        {
            if (!File.Exists(_jsonFilePath))
            {
                Console.Out.WriteLine($"{_jsonFilePath} not found");
                return new List<Commentary>();
            }

            var json = await File.ReadAllTextAsync(_jsonFilePath);
            var dtoList = JsonSerializer.Deserialize<List<CommentaryDTO>>(json) ?? new List<CommentaryDTO>();

            var comments = dtoList.ConvertAll(dto => dto.ToModel());

            Console.Out.WriteLine($"Nombre de commentaires chargés : {comments.Count}");
            return comments;
        }
    }
}
